/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "DCCL v4", "index.html", [
    [ "Dynamic Compact Control Language (DCCL)", "index.html", [
      [ "Quick Start (Ubuntu or Debian)", "index.html#autotoc_md1", [
        [ "C++", "index.html#autotoc_md2", null ],
        [ "Python", "index.html#autotoc_md3", null ],
        [ "dccl Command Line tool", "index.html#autotoc_md4", null ]
      ] ],
      [ "Code", "index.html#autotoc_md5", null ],
      [ "Reference", "index.html#autotoc_md6", null ],
      [ "History", "index.html#autotoc_md7", null ],
      [ "Authors", "index.html#autotoc_md8", null ]
    ] ],
    [ "DCCL Interface Descriptor Language (IDL)", "md_src_doc_markdown_page02_idl.html", [
      [ "DCCL options", "md_src_doc_markdown_page02_idl.html#autotoc_md10", [
        [ "Table 1: Definition of the DCCL Interface Description Language", "md_src_doc_markdown_page02_idl.html#autotoc_md11", null ],
        [ "DCCL ID: (dccl.msg).id", "md_src_doc_markdown_page02_idl.html#autotoc_md12", null ],
        [ "DCCL Maximum bytes: (dccl.msg).max_bytes", "md_src_doc_markdown_page02_idl.html#autotoc_md13", null ],
        [ "DCCL Codec Version: (dccl.msg).codec_version", "md_src_doc_markdown_page02_idl.html#autotoc_md14", null ],
        [ "Precision versus Resolution", "md_src_doc_markdown_page02_idl.html#autotoc_md15", null ]
      ] ],
      [ "DCCL Static Units", "md_src_doc_markdown_page02_idl.html#autotoc_md16", [
        [ "DCCL Units Generated Code", "md_src_doc_markdown_page02_idl.html#autotoc_md17", [
          [ "Singular Numeric Fields", "md_src_doc_markdown_page02_idl.html#autotoc_md18", null ],
          [ "Repeated Numeric Fields", "md_src_doc_markdown_page02_idl.html#autotoc_md19", null ]
        ] ],
        [ "DCCL Units examples", "md_src_doc_markdown_page02_idl.html#autotoc_md20", [
          [ "AUVStatus", "md_src_doc_markdown_page02_idl.html#autotoc_md21", null ],
          [ "CTDMessage", "md_src_doc_markdown_page02_idl.html#autotoc_md22", null ],
          [ "CommandMessage", "md_src_doc_markdown_page02_idl.html#autotoc_md23", null ]
        ] ]
      ] ],
      [ "DCCL Dynamic Conditions (DCCL4+)", "md_src_doc_markdown_page02_idl.html#autotoc_md24", [
        [ "Special variables", "md_src_doc_markdown_page02_idl.html#autotoc_md25", null ],
        [ "Other notes", "md_src_doc_markdown_page02_idl.html#autotoc_md26", null ]
      ] ]
    ] ],
    [ "DCCL Encoders/Decoders (codecs)", "md_src_doc_markdown_page03_codecs.html", [
      [ "Encoding algorithm", "md_src_doc_markdown_page03_codecs.html#autotoc_md28", null ],
      [ "Example Encoding", "md_src_doc_markdown_page03_codecs.html#autotoc_md29", null ],
      [ "Decoding", "md_src_doc_markdown_page03_codecs.html#autotoc_md30", null ],
      [ "Default Field Codec Reference", "md_src_doc_markdown_page03_codecs.html#autotoc_md31", [
        [ "Default Identifier Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md32", null ],
        [ "Default Numeric Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md33", null ],
        [ "Default Enumeration Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md34", null ],
        [ "Default Boolean Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md35", null ],
        [ "Default String Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md36", [
          [ "DCCLv3", "md_src_doc_markdown_page03_codecs.html#autotoc_md37", null ],
          [ "DCCLv4", "md_src_doc_markdown_page03_codecs.html#autotoc_md38", null ]
        ] ],
        [ "Default Bytes Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md39", [
          [ "DCCLv3", "md_src_doc_markdown_page03_codecs.html#autotoc_md40", null ],
          [ "DCCLv4", "md_src_doc_markdown_page03_codecs.html#autotoc_md41", null ]
        ] ],
        [ "Default Message Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md42", null ],
        [ "Mathematical formulas for Default Field Codecs", "md_src_doc_markdown_page03_codecs.html#autotoc_md43", [
          [ "DCCLv3", "md_src_doc_markdown_page03_codecs.html#autotoc_md44", null ],
          [ "DCCLv4", "md_src_doc_markdown_page03_codecs.html#autotoc_md45", null ]
        ] ]
      ] ],
      [ "Additional Built-in Codecs", "md_src_doc_markdown_page03_codecs.html#autotoc_md46", [
        [ "VarBytesCodec (string / bytes)", "md_src_doc_markdown_page03_codecs.html#autotoc_md47", null ],
        [ "PresenceBitCodec (all types)", "md_src_doc_markdown_page03_codecs.html#autotoc_md48", null ],
        [ "TimeCodec (uint64, int64, double)", "md_src_doc_markdown_page03_codecs.html#autotoc_md49", null ],
        [ "StaticFieldCodec (all types)", "md_src_doc_markdown_page03_codecs.html#autotoc_md50", null ],
        [ "HashCodec (uint32)", "md_src_doc_markdown_page03_codecs.html#autotoc_md51", null ]
      ] ],
      [ "Additional Codec libraries", "md_src_doc_markdown_page03_codecs.html#autotoc_md52", [
        [ "Native Protobuf", "md_src_doc_markdown_page03_codecs.html#autotoc_md53", null ],
        [ "Arithmetic Coder", "md_src_doc_markdown_page03_codecs.html#autotoc_md54", null ],
        [ "REMUS CCL", "md_src_doc_markdown_page03_codecs.html#autotoc_md55", null ]
      ] ],
      [ "Custom Field Codecs", "md_src_doc_markdown_page03_codecs.html#autotoc_md56", null ]
    ] ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Typedefs", "functions_type.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"classdccl_1_1DCCLFieldOptions.html#a5db9eea8e7cc46d530363355f3dfd6f0",
"classdccl_1_1DCCLFieldOptions__Conditions.html#abcd65a0d13f17339252db447108ea2e4",
"classdccl_1_1DCCLMessageOptions.html#a806db470da1780f2d009ddae580deaae",
"classdccl_1_1arith_1_1ArithmeticFieldCodecBase.html#a4347d947d13d5616a4d418649ba87c6f",
"classdccl_1_1legacyccl_1_1protobuf_1_1CCLMDATBathy.html#aa265f4a663e96e1a864783f3ff04e12b",
"classdccl_1_1legacyccl_1_1protobuf_1_1CCLMDATRedirect.html#a25537e7320409b1aeb08a007df206095",
"classdccl_1_1legacyccl_1_1protobuf_1_1CCLMDATState__GFIPitchOil.html#ae2bf223821956fc140e9330af7640c05",
"dir_a21bed9fb9ebe1067eba0326375fbb5c.html",
"structdccl_1_1native__protobuf_1_1PrimitiveTypeHelper_3_01WireType_00_01google_1_1protobuf_1_1Fi040624955969a103bd012c980a8b7291.html#ab4e628f9c540f4645359a8ec49031fcf"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';